import "../../../src/scss/cell.scss";
import Routeable from "../../../es5/mixins/routable";
import mixins from "../../../es5/utils/mixins";
export default mixins(Routeable
/* @vue/component */
).extend({
  name: 'w-cell',
  props: {
    title: {
      type: [String, Number]
    },
    value: {
      type: [String, Number]
    },
    isLink: Boolean
  },
  methods: {
    onClick: function onClick() {
      this.$emit('click');
      this.routeLink();
    }
  },
  render: function render() {
    var h = arguments[0];
    return h("div", {
      "class": {
        'weui-cell': true,
        'weui-cell_access': this.isLink
      },
      "on": {
        "click": this.onClick
      }
    }, [h("div", {
      "class": "weui-cell_hd"
    }, [this.$slots.icon]), h("div", {
      "class": "weui-cell__bd"
    }, [this.$slots.bd || h("p", {
      "domProps": {
        "innerHTML": this.title
      }
    })]), h("div", {
      "class": "weui-cell__ft"
    }, [this.$slots.ft || this.value])]);
  }
});
//# sourceMappingURL=WCell.js.map