import Vue from 'vue';
import "../../../src/scss/footer.scss";
import WFooterLink from "./WFooterLink";
export default Vue.extend({
  name: 'w-footer',
  props: {
    text: String,
    links: {
      type: Array,
      default: function _default() {
        return [];
      }
    }
  },
  render: function render() {
    var h = arguments[0];
    var footerLinks = this.links.map(function (item) {
      return h(WFooterLink, {
        "key": item.text,
        "attrs": {
          "text": item.text,
          "to": item.link
        }
      });
    });
    return h("div", {
      "class": "weui-footer"
    }, [this.links.length > 0 && h("p", {
      "class": "weui-footer__links"
    }, [footerLinks]), h("p", {
      "class": "weui-footer__text",
      "domProps": {
        "innerHTML": this.text
      }
    })]);
  }
});
//# sourceMappingURL=WFooter.js.map